Bug 1022105 - imagej: remove versioned jars from %{_javadir}
imagej: remove versioned jars from %{_javadir}
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: imagej (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Huffman
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1022024
  Show dependency treegraph
 
Reported: 2013-10-22 11:44 EDT by Stanislav Ochotnicky
Modified: 2016-07-19 07:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:30:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Remove version from JAR name (2.27 KB, patch)
2014-03-25 05:10 EDT, Michael Simacek
no flags Details | Diff

  None (edit)
Description Stanislav Ochotnicky 2013-10-22 11:44:00 EDT
Package imagej seems to contain versioned jar files in %{_javadir}
(/usr/share/java). Such versioned files cause problems for automatic
requires generation and violate packaging guidelines[1].

List of subpackages and contained versioned jars
imagej:
/usr/share/java/imagej-1.46.jar


There are cases where this can be a false positive. Most likely if:
   * your package is compatibility version and contains only versioned
     jars
   * your package has version in the name of jars that are part of
     package name

Thank you,

[1] https://fedoraproject.org/wiki/Packaging:Java#Filenames
Comment 1 Adam Huffman 2014-03-12 07:56:26 EDT
Thanks for the report and apologies for the delay. I'll take a look at this soon.
Comment 2 Michael Simacek 2014-03-25 05:10:54 EDT
Created attachment 878350 [details]
Remove version from JAR name
Comment 3 Jaroslav Reznik 2015-03-03 11:56:26 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 4 Fedora End Of Life 2016-07-19 06:30:59 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Michael Simacek 2016-07-19 07:04:43 EDT
I don't see any versioned jars anymore.

Note You need to log in before you can comment on or make changes to this bug.